Bug 995736 - enh: yum should give up downloading drpms after a while.
enh: yum should give up downloading drpms after a while.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 13:38 EDT by Andy Grover
Modified: 2015-02-17 11:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:41:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2013-08-10 13:38:19 EDT
Updating an old system image with yum results in hitting up hordes of mirrors for drpms that have aged-off, I guess? Update succeeds, but after 20 minutes of "FAILURE" scrolling across the screen.

Yum should give up trying to find drpms sooner, and just get actual rpms to speed up the update process.
Comment 1 Jonathan Dieter 2013-08-10 15:36:01 EDT
Yum-presto has been merged into yum for Fedora 19, so this functionality should be implemented in yum.

FWIW, if yum can't find a drpm on a mirror, it's likely that it won't find the rpm either.  Do you happen to have the output from yum available?
Comment 2 Zdeněk Pavlas 2013-08-12 03:49:05 EDT
This is not drpm specific.  Yum always tries *all* mirrors, and (after a recent change) in case yum.conf:retries > #mirrors some mirrors are tried more than once.

I've thought of changing the behavior that we always make exactly yum.conf:retries attempts and skip remaining mirrors.  That should help in the common case that we have retries=10 and say 100 or so mirrors.  It'd be a simple change, but I'm not sure it's always better than current behavior.
Comment 3 Fedora End Of Life 2015-01-09 14:23:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:41:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.